#
# spec file for package xpdf (Version 0.92)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp t1lib t1lib-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit t1lib t1lib-devel texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xpdf
Copyright:    1996 Derek B. Noonburg
Group:        Applications/Text
Autoreqprov:  on
Requires:     t1lib
Version:      0.92
Release:      136
Summary:      A pdf-file viewer under X11
Source:       ftp://ftp.foolabs.com/pub/xpdf/xpdf-%{version}.tgz
# Patch:        xpdf-%{version}.dif
URL:	      http://www.foolabs.com/xpdf/
BuildRoot:    /var/tmp/xpdf-%{version}-build

%description
This tool serves for viewing files in PDF (Portable Document Format).
It is used, e.g., by "pdftex"/"pdflatex" or Adobe PDF Software "Acrobat".

Authors:
--------
    Derek B. Noonburg <derekn@ece.cmu.edu>

SuSE series: gra

%prep
%setup 
# %patch 

%build
%{?suse_update_config:%{suse_update_config -f }}
# autoconf
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --enable-a4 \
            --enable-japanese \
            --enable-chinese-gb \
            --enable-chinese-cns \
            --with-t1-library=/usr/lib/ \
	    --with-t1-includes=/usr/include/ 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*.hlp ANNOUNCE COPYING README CHANGES
/usr/bin/*
%{_mandir}/man1/*

%changelog -n xpdf
* Thu Jun 07 2001 - pblaha@suse.cz
- unused autoconf because many problems in old configure.in
* Mon Feb 19 2001 - mfabian@suse.de
- update to 0.92
- t1lib is a separate package now, remove it from this package
  and add it to #neededforbuild and Requires: instead.
- add configure options --enable-japanese, --enable-chinese-gb
  and --enable-chinese-cns
* Thu Feb 08 2001 - fober@suse.de
- Group Aplications/Text
* Mon Sep 18 2000 - bubnikv@suse.cz
- updated to 0.91
* Mon Aug 14 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon May 15 2000 - bubnikv@suse.cz
- xpdf now uses t1 library for rendering fonts
- added buildroot
* Tue Jan 25 2000 - ro@suse.de
- fixed to compile
- specfile cleanup
- man to /usr/share using macro
* Wed Oct 27 1999 - fehr@suse.de
- changed to version 0.90
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 21 1999 - ro@suse.de
- use "const char*" where needed for strict typecheck
* Fri Dec 11 1998 - fehr@suse.de
- changed to version 0.80
* Mon Oct 05 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Jul 06 1998 - fehr@suse.de
- New version 0.7a
* Wed Jun 04 1997 - fehr@suse.de
- New version 0.7
* Wed Apr 16 1997 - fehr@suse.de
- New version 0.6
  Sep  7 19:58:24 MET DST 1996     - fehr@suse.de
- New version 0.5
